%define name  rm-ogv-flv-to-avi
%define version 1.0.1.8
%define release %mkrel 1

Summary:	RM OGV FLV to AVI converter
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Waqf Public License
Group:		Video
Source0:	http://code.google.com/p/foxoman/%{name}-%{version}.tar.bz2
Source1:        %{name}.png
URL:		http://code.google.com/p/foxoman/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: mencoder 



%description
RM OGV FLV to AVI converter is a video converter using mencoder to quick convert 
RealMedia (rm rmvb ram ra ) and Open video ( ogv ogg ) and Flash video ( flv ) to AVI format.

%prep
%setup -q -n %{name}-%{version}

%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 755 %{name} $RPM_BUILD_ROOT%{_datadir}/%{name}

# launcher
mkdir -p %buildroot%_bindir/
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/sh
cd %_datadir/%{name}/
exec ./rm-ogv-flv-to-avi
EOF
chmod +x %{buildroot}%{_bindir}/%{name}

# desktop entry
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Version=1.0
Name=RM OGV FLV to AVI converter
Comment=Converts various media formats
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=AudioVideo;X-MandrivaLinux-Multimedia-Video;
EOF

# icons
mkdir -p %buildroot{%_iconsdir,%_liconsdir,%_miconsdir}
install -m 0644 %SOURCE1 %buildroot/%_miconsdir/%{name}.png
convert -scale 16 %buildroot/%_miconsdir/%name.png %buildroot/%_miconsdir/%name.png
install -m 0644 %SOURCE1 %buildroot/%_iconsdir/%{name}.png
convert -scale 32 %buildroot/%_iconsdir/%name.png %buildroot/%_iconsdir/%name.png
install -m 0644 %SOURCE1 %buildroot/%_liconsdir/%{name}.png


%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus


%postun
%clean_menus


%files 
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Sat Jun 13 2009 slick50 <lxgator@gmail.com> 1.0.1.8-1pclos2009
- initial build
